#
# spec file for package python-oslo.privsep
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oslo.privsep
Version:        1.27.0
Release:        lp151.2.3
Summary:        OpenStack library for privilege separation
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/oslo.privsep
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.privsep/oslo.privsep-1.27.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-cffi >= 1.7.0
BuildRequires:  python-devel
BuildRequires:  python-enum34 >= 1.0.4
BuildRequires:  python-eventlet >= 0.18.2
BuildRequires:  python-greenlet >= 0.4.10
BuildRequires:  python-mock >= 2.0.0
BuildRequires:  python-msgpack >= 0.4.0
BuildRequires:  python-openstackdocstheme >= 1.18.1
BuildRequires:  python-oslo.config >= 5.1.0
BuildRequires:  python-oslo.i18n >= 3.15.3
BuildRequires:  python-oslo.log >= 3.36.0
BuildRequires:  python-oslo.utils >= 3.33.0
BuildRequires:  python-oslotest >= 3.2.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-setuptools >= 16.0
Requires:       python-cffi >= 1.7.0
Requires:       python-enum34 >= 1.0.4
Requires:       python-eventlet >= 0.18.2
Requires:       python-greenlet >= 0.4.10
Requires:       python-msgpack >= 0.4.0
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.utils >= 3.33.0
BuildArch:      noarch

%description
OpenStack library for privilege separation

%package doc
Summary:        oslo.privsep documentation
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
Documentation for oslo.privsep

%prep
%autosetup -p1 -n oslo.privsep-1.27.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%py2_build
# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
# FIXME: Disable tests failing in Fuel CI
# https://review.openstack.org/#/c/340524/
# Temporarily blacklist failing test
testr list-tests | \
grep -v oslo_privsep.tests.test_daemon.TestDaemon.test_drop_privs > tests
PYTHONPATH=. %{__python2} setup.py testr --testr-args "--load-list tests"

%files
%doc README.rst
%license LICENSE
%{_bindir}/privsep-helper
%{python2_sitelib}/oslo_privsep
%{python2_sitelib}/oslo.privsep-*-py?.?.egg-info

%files doc
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.27.0 (bsc#1078607)
  - Update .gitreview for stable/queens
  - msgpack-python has been renamed to msgpack
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 1.26.0 (bsc#1078607)
  - Remove -U from pip install
  - Expose caps values/names as int enum
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Imported Translations from Zanata
  - Avoid tox_install.sh for constraints support
  - add bandit to pep8 job
  - Updated from global requirements
  - Update capabilities from current kernel source
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.22.0
  - Preserve all LogRecord fields from privileged side
  - Remove log translations
  - Update URLs in documents according to document migration
  - Use iterable object for 'args' in log record
  - rearrange existing documentation to follow the new standard layout
  - add sphinx instructions to build API reference docs
  - [Fix gate]Update test requirement
  - Enable some off-by-default checks
  - Remove references to Python 3.4
  - switch from oslosphinx to openstackdocstheme
  - pbr.version.VersionInfo needs package name (oslo.xyz and not oslo_xyz)
  - Update reno for stable/ocata
  - Remove pbr warnerrors in favor of sphinx check
  - Updated from global requirements
  - Add test to verify log record can be formatted
  - Using assertIsNone(xxx) instead of assertEqual(None, xxx)
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 1.16.0:
  - Don't use deprecated method logger.warn
  - Update reno for stable/newton
  - modify the home-page info with the developer documentation
  - Updated from global requirements
  - Add Constraints support
  - Ignore timeout error when receiving message from sockect
  - Show team and repo badges on README
  - Report underlying integer for unknown capabilities
  - Imported Translations from Zanata
  - Enable release notes translation
  - Add Python 3.5 classifier and venv
  - Deal with CONF.config_dir correctly
- Remove 0001-Deal-with-CONF.config_dir-correctly.patch . Applied upstream.
* Fri Dec 23 2016 tbechtold@suse.com
- update to version 1.13.1:
  * Update .gitreview for stable/newton
  * [Backport] Ignore timeout error when receiving message
* Fri Dec  2 2016 tbechtold@suse.com
- Add 0001-Deal-with-CONF.config_dir-correctly.patch
* Fri Oct 14 2016 tbechtold@suse.com
- switch to stable/newton tarball in _service
* Tue Aug 30 2016 tbechtold@suse.com
- update to version 1.13.0
  * Fixes unit tests on Windows.
  * Add reno for release notes management
  * Use default value for undefined caps in fmt_caps
  * Updated from global requirements
  * More sophisticated logging on privileged side
* Wed Aug 10 2016 tbechtold@suse.com
- update to 1.11.0:
  * Updated from global requirements
  * Provide way to "initialise" oslo.privsep
  * PrivContext: Sets client_mode to False on Windows
  * Imported Translations from Zanata
  * Drop python3.3 support in classifier
  * Remove unused py27 socketpair/makefile workaround
  * Remove direct dependency on babel
  * Switch to msgpack for serialization
- Update _service and switch to upstream spec template
* Mon Apr  4 2016 tbechtold@suse.com
- Initial packaging (version 1.4.0)
